package com.wecloud.rtc.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.wecloud.im.param.CreateRtcChannelResult;
import com.wecloud.im.param.add.CreateRtcChannelParam;

/**
 * 管理rtc频道
 */
public interface RtcService {


    /**
     * 创建一个频道,并向接收方发送系统推送
     */
    CreateRtcChannelResult createAndCall(CreateRtcChannelParam createRtcChannelParam) throws JsonProcessingException;

    /**
     * 加入频道
     */
    void join();

    /**
     * 拒接加入频道
     */
    void reject();

    /**
     * 退出频道
     */
    void leave();

    void sdpForward();

    void candidateForward();

}
